Bug 149784 - libtiff has hidden dependancy on libglu ( freeglu )
libtiff has hidden dependancy on libglu ( freeglu )
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-02-26 14:23 EST by Eric Warnke
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 15:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Warnke 2005-02-26 14:23:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Becuase of a recent addition to the tiff package, libtiff now has a
hidden dependancy on libglu ( freeglu ).  Looking to streamline core
freeglu came up, but this dependancy prevents that action.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Build 3.7.1-3
2. Install libtiff and freeglu
3. rpm -e freeglu

Actual Results:  freeglu removal fails on dependancy within libtiff

Expected Results:  should be able to remove freeglu 

Additional info:

Patch against 3.7.1-3 to fix this particular problem

--- libtiff.spec 2005-01-05 10:11:43.000000000 -0500
+++ libtiff.spec.new    2005-02-26 13:19:22.160043128 -0500
@@ -1,7 +1,7 @@
 Summary: A library of functions for manipulating TIFF format image files.
 Name: libtiff
 Version: 3.7.1
-Release: 3
+Release: 4
 License: distributable
 Group: System Environment/Libraries
 Source0: http://www.libtiff.org/tiff-%{version}.tar.gz
@@ -47,7 +47,7 @@
+%configure --without-glu
 make check
@@ -82,6 +82,10 @@
+* Sat Feb 26 2005 Eric Warnke <eric@snowmoon.com> - 3.7.1-4
+- Diables glu support to break hidden dependancy for tiffgt with 
+  freeglu
 * Wed Jan  5 2005 Matthias Clasen <mclasen@redhat.com> - 3.7.1-3
 - Drop the largefile patch again
 - Fix a problem with the handling of alpha channels
Comment 1 Matthew Miller 2006-07-10 19:24:06 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.